﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 13/09/2022 13:59:53
-- Server version: 5.7.33
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS practica4;

CREATE DATABASE IF NOT EXISTS practica4
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE practica4;

--
-- Create table `departamento`
--
CREATE TABLE IF NOT EXISTS departamento (
  `nombre-d` varchar(100) NOT NULL,
  `numero-d` int(11) NOT NULL,
  numdeempleados int(11) DEFAULT NULL,
  `nss-empleado-dirige` varchar(10) DEFAULT NULL,
  `fecha-inicio-jefe` date DEFAULT NULL,
  PRIMARY KEY (`nombre-d`, `numero-d`)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `nss-empleado-dirige` on table `departamento`
--
ALTER TABLE departamento
ADD UNIQUE INDEX `nss-empleado-dirige` (`nss-empleado-dirige`);

--
-- Create table `proyecto`
--
CREATE TABLE IF NOT EXISTS proyecto (
  numerop int(11) NOT NULL,
  nombrep varchar(100) NOT NULL,
  localizacion varchar(200) DEFAULT NULL,
  `nombre-d-controla` varchar(100) DEFAULT NULL,
  `numero-d-controla` int(11) DEFAULT NULL,
  PRIMARY KEY (numerop, nombrep)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE proyecto
ADD CONSTRAINT fkProyectoDepartamento FOREIGN KEY (`nombre-d-controla`, `numero-d-controla`)
REFERENCES departamento (`nombre-d`, `numero-d`);

--
-- Create table `localizaciones`
--
CREATE TABLE IF NOT EXISTS localizaciones (
  `nombre-d` varchar(100) NOT NULL,
  `numero-d` int(11) NOT NULL,
  `localizacion-dept` varchar(100) NOT NULL,
  PRIMARY KEY (`nombre-d`, `numero-d`, `localizacion-dept`)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE localizaciones
ADD CONSTRAINT fkLocalizacionesDepartamento FOREIGN KEY (`nombre-d`, `numero-d`)
REFERENCES departamento (`nombre-d`, `numero-d`);

--
-- Create table `empleado`
--
CREATE TABLE IF NOT EXISTS empleado (
  `nss-empleado` varchar(10) NOT NULL,
  nombre varchar(100) DEFAULT NULL,
  apellido varchar(200) DEFAULT NULL,
  iniciales varchar(4) DEFAULT NULL,
  fecha_ncto date DEFAULT NULL,
  sexo varchar(20) DEFAULT NULL,
  direccion varchar(400) DEFAULT NULL,
  salario float DEFAULT NULL,
  `nombre-d pertenece` varchar(100) DEFAULT NULL,
  `numero-d pertenece` int(11) DEFAULT NULL,
  PRIMARY KEY (`nss-empleado`)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 3276,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE empleado
ADD CONSTRAINT fkEmpleadoDepartamento FOREIGN KEY (`nombre-d pertenece`, `numero-d pertenece`)
REFERENCES departamento (`nombre-d`, `numero-d`);

--
-- Create foreign key
--
ALTER TABLE departamento
ADD CONSTRAINT fkDepartamentoEmpleado FOREIGN KEY (`nss-empleado-dirige`)
REFERENCES empleado (`nss-empleado`);

--
-- Create table `trabaja_en`
--
CREATE TABLE IF NOT EXISTS trabaja_en (
  `nss-empleado` varchar(10) NOT NULL,
  `nombre-p` varchar(100) NOT NULL,
  `numero-p` int(11) NOT NULL,
  horas int(11) DEFAULT NULL,
  PRIMARY KEY (`nss-empleado`, `nombre-p`, `numero-p`)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE trabaja_en
ADD CONSTRAINT fkTrabaja_enEmpleado FOREIGN KEY (`nss-empleado`)
REFERENCES empleado (`nss-empleado`);

--
-- Create foreign key
--
ALTER TABLE trabaja_en
ADD CONSTRAINT fkTrabaja_enProyecto FOREIGN KEY (`numero-p`, `nombre-p`)
REFERENCES proyecto (numerop, nombrep);

--
-- Create table `supervisa`
--
CREATE TABLE IF NOT EXISTS supervisa (
  `nss-empleado` varchar(10) NOT NULL,
  `nss-supervisor` varchar(10) NOT NULL,
  PRIMARY KEY (`nss-empleado`, `nss-supervisor`)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `nss-empleado` on table `supervisa`
--
ALTER TABLE supervisa
ADD UNIQUE INDEX `nss-empleado` (`nss-empleado`);

--
-- Create foreign key
--
ALTER TABLE supervisa
ADD CONSTRAINT fkSupervisaEmpleado FOREIGN KEY (`nss-empleado`)
REFERENCES empleado (`nss-empleado`);

--
-- Create foreign key
--
ALTER TABLE supervisa
ADD CONSTRAINT fkSupervisaEmpleado1 FOREIGN KEY (`nss-supervisor`)
REFERENCES empleado (`nss-empleado`);

--
-- Create table `dependiente`
--
CREATE TABLE IF NOT EXISTS dependiente (
  `nombre-dependiente` varchar(100) NOT NULL,
  `nss-empleado` varchar(10) NOT NULL,
  sexo varchar(20) DEFAULT NULL,
  fecha_ncto date DEFAULT NULL,
  parentesco varchar(100) DEFAULT NULL,
  PRIMARY KEY (`nombre-dependiente`, `nss-empleado`)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE dependiente
ADD CONSTRAINT fkDependienteEmpleado FOREIGN KEY (`nss-empleado`)
REFERENCES empleado (`nss-empleado`);

-- 
-- Dumping data for table departamento
--
INSERT INTO departamento VALUES
('ventas', 1, 0, '1', '2020-01-05'),
('ventas', 2, 0, '4', '2022-09-13');

-- 
-- Dumping data for table proyecto
--
INSERT INTO proyecto VALUES
(1, 'gestion residuos sardinero', 'Santander', 'ventas', 1),
(1, 'Reparacion mesas puertochico', 'Santander', 'ventas', 2);

-- 
-- Dumping data for table empleado
--
INSERT INTO empleado VALUES
('1', 'eva', 'gutierrez', 'eg', NULL, 'mujer', NULL, 1000, NULL, NULL),
('2', 'Jorge', 'Abascal', 'ja', NULL, 'varon', NULL, 1100, 'ventas', 1),
('3', 'Luisa', 'Gomez', 'Lg', NULL, NULL, NULL, NULL, 'ventas', 1),
('4', 'Roberto', 'Lopez', 'Rl', NULL, NULL, NULL, NULL, NULL, NULL),
('5', 'Maria', 'Loma', 'Ml', NULL, NULL, NULL, NULL, 'ventas', 2);

-- 
-- Dumping data for table trabaja_en
--
INSERT INTO trabaja_en VALUES
('1', 'gestion residuos sardinero', 1, 10),
('2', 'Reparacion mesas puertochico', 1, 20);

-- 
-- Dumping data for table supervisa
--
INSERT INTO supervisa VALUES
('2', '4'),
('3', '4');

-- 
-- Dumping data for table localizaciones
--
INSERT INTO localizaciones VALUES
('ventas', 1, 'Madrid'),
('ventas', 2, 'Santander');

-- 
-- Dumping data for table dependiente
--
INSERT INTO dependiente VALUES
('ana isabel', '1', 'mujer', NULL, 'hija'),
('jose angel', '1', 'hombre', '1989-10-29', 'hijo');

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;